(*
    LCS - A study for a simple differencing program
    Copyright (c) 2002-2003,2004 Alessandro Scotti
    www.ascotti.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
program LCS;

uses
  Forms,
  Main in 'Main.pas' {MainForm},
  FormOpenFiles in 'FormOpenFiles.pas' {OpenForm},
  FormAbout in 'FormAbout.pas' {AboutForm},
  DiffUndoBuffer in 'DiffUndoBuffer.pas',
  FormOptions in 'FormOptions.pas' {OptionsForm},
  FormProperties in 'FormProperties.pas' {PropertiesForm},
  FormAutosynch in 'FormAutosynch.pas' {AutosynchForm},
  UndoRedo in 'UndoRedo.pas',
  DiffTypes in 'DiffTypes.pas',
  DiffEngine in 'DiffEngine.pas',
  Config in 'Config.pas',
  Utils in 'Utils.pas',
  DiffAutoPopup in 'DiffAutoPopup.pas' {FormDiffAutoPopup},
  Options in 'Options.pas',
  Syntax in 'Syntax.pas',
  FormEditor in 'FormEditor.pas' {EditorForm},
  Editor in 'Editor.pas',
  EditUndoBuffer in 'EditUndoBuffer.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'LCS';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TOpenForm, OpenForm);
  Application.CreateForm(TAutosynchForm, AutosynchForm);
  Application.CreateForm(TFormDiffAutoPopup, FormDiffAutoPopup);
  Application.CreateForm(TEditorForm, EditorForm);
  Application.Run;
end.
