(*
    LCS - A study for a simple differencing program
    About window
    Copyright (c) 2002-2003,2004 Alessandro Scotti
    www.ascotti.org

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)
unit FormAbout;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ShellAPI, StdCtrls, ExtCtrls;

type
  TAboutForm = class(TForm)
    LblProgram: TLabel;
    LblCopyright: TLabel;
    MemLicense: TMemo;
    BtnOk: TButton;
    LblURL: TLabel;
    Image1: TImage;
    procedure LblURLClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.DFM}

procedure TAboutForm.LblURLClick(Sender: TObject);
begin
  ShellExecute( Self.Handle, 'open', PChar(LblURL.Caption), nil, nil, SW_SHOWDEFAULT );
end;

end.
